/* story */


.swiper-free {
    margin-left: auto;
    margin-right: auto;
    position: relative;
    overflow: hidden;
    list-style: none;
    padding: 0;
    z-index: 1;
}

.swiper-button-disabled {
    opacity: 0 !important;
}

.swiper-free .swiper-slide {
    width: auto !important;
}

.home-story {
    margin-top: 20px;
}

.home-story .swiper-button-next {
    left: 2px;
    border-radius: 40px;
}

.home-story .swiper-button-prev {
    right: 2px;
    border-radius: 40px;
}

.home-story-item-inner {
    background: var(--color2);
    width: 105px;
    height: 105px;
    border-radius: 50%;
    padding: 2px;
    cursor: pointer;
    transition: 0.3s;
}

.home-story-item-inner:active {
    transform: scale(0.9);
}

.home-story-item-inner img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border: 3px solid #fff;
    object-fit: cover;
}

/* modal */

.story-modal {
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0 0 0 / 72%);
    display: none;
}

.story-modal-body {
    margin: auto;
    display: flex;
    align-items: center;
    height: 100%;
    max-width: 600px;
}

.story-modal-header {
    display: flex;
    align-items: start;
    position: absolute;
    z-index: 9;
    width: 100%;
    background: linear-gradient(180deg, rgb(0 0 0 / 85%) 33%, rgb(0 0 0 / 0%) 100%);
    padding: 15px;
}

.story-modal-user-img {
    width: 58px;
    height: 58px;
    border-radius: 50%;
    object-fit: cover;
}

.story-modal-content {
    width: 100%;
    height: 100%;
    background-image: linear-gradient(to top, #000000, #00000000);
    display: flex;
    flex-direction: column;
    position: relative;
    max-width: 420px;
    margin: auto;
}

.story-modal-info {
    color: #fff;
    font-size: 15px;
    margin-right: 15px;
    flex-grow: 1;
}

.story-modal-text {
    margin-top: 10px;
    font-size: 14px;
}

.story-modal-star {
    color: #fff;
    font-size: 14px;
}

.story-modal-video {
    aspect-ratio: 9 / 16;
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin: unset;
}

.story-modal-video video {
    position: absolute;
    inset: 0px;
    width: 100%;
    height: 100%;
}

.story-modal-video video::-webkit-media-controls-panel {
    /* background-image: linear-gradient(transparent, transparent) !important; */
}

.story-modal-video video::-webkit-media-controls-fullscreen-button {
    display: none;
}

.story-modal-close {
    box-shadow: unset;
    border: 0;
    margin: 15px;
    position: absolute;
    background: #fff;
    width: 45px;
    color: #000;
    font-size: 28px;
    line-height: 1;
    height: 45px;
    border-radius: 40px;
    transition: 0.3s;
}

.story-modal-close:hover {
    background: var(--color2);
    color: #fff;
}

.story-modal-close::before {
    content: '\e816';
    font-family: "raya-icon";
}

.story-modal-link {
    display: flex;
    align-items: center;
    justify-content: center;
    background: #fff;
    border-radius: 50px;
    height: 46px;
    color: #000;
    font-weight: 600;
    font-size: 14px;
    transition: 0.3s;
    position: absolute;
    bottom: 15px;
    right: 0;
    left: 0;
    margin: auto;
    width: max-content;
    padding: 0 20px;
}

.story-modal-link:hover {
    background: var(--color1);
    color: #fff;
}

.story-modal-prev {
    border-radius: 40px;
    width: 45px;
    height: 45px;
    border: 0;
    font-size: 30px;
    line-height: 1;
    transition: 0.3s;
}

.story-modal-prev::before {
    font-family: "raya-icon";
    content: '\f105';
}

.story-modal-next {
    border-radius: 40px;
    width: 45px;
    height: 45px;
    border: 0;
    font-size: 30px;
    line-height: 1;
    transition: 0.3s;
}

.story-modal-next::before {
    font-family: "raya-icon";
    content: '\f104';
}


.story-modal-prev:hover {
    background: var(--color1);
    color: #fff;
}

.story-modal-next:hover {
    background: var(--color1);
    color: #fff;
}

.story-modal-banner {
    aspect-ratio: 9 / 16;
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin: unset;
    object-fit: contain;
}

.home-story-title {
    font-size: 12px;
    width: 105px;
    text-align: center;
    margin-top: 5px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    font-weight: 400;
    color: #000;
}

@media (max-width:991.5px) {
    .story-modal-prev {
        border-radius: 20px;
        width: 35px;
        height: 35px;
        position: absolute;
        z-index: 1;
        right: 10px;
    }


    .story-modal-next {
        border-radius: 20px;
        width: 35px;
        height: 35px;
        position: absolute;
        z-index: 1;
        left: 10px;
    }

    .story-modal-link {
        height: 50px;
        font-weight: 600;
        font-size: 16px;
    }


    .story-modal-close {
        z-index: 99;
        margin-top: 26px;
        margin-right: 8px;
        width: 28px;
        height: 28px;
        font-size: 24px;
    }

    .story-modal-header {
        padding-right: 45px;
    }

    .story-modal-user-img {
        width: 50px;
        height: 50px;
    }

    .story-modal-info {
        font-size: 13px;
    }

    .story-modal-text {
        margin-top: 5px;
        font-size: 12px;
    }

    .home-story-item-inner {
        background: var(--color2);
        width: 85px;
        height: 85px;
    }

    .home-story-title {
        width: 85px;
        font-size: 10px;
    }

    .home-story {
        margin-top: 20px;
    }

    .home-story .swiper-button-prev {
        display: none;
    }

    .home-story .swiper-button-next {
        display: none;
    }

    .footer-ul a {
        word-break: break-all;
    }

}